# arm_rfft_q31.c File Reference

`#include "arm_math.h"`

Go to the source code of this file.

## Functions

void | arm_split_rfft_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pATable, q31_t *pBTable, q31_t *pDst, uint32_t modifier)
void | arm_split_rifft_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pATable, q31_t *pBTable, q31_t *pDst, uint32_t modifier)
void | arm_rfft_q31 (const arm_rfft_instance_q31 *S, q31_t *pSrc, q31_t *pDst)

## Function Documentation

void arm_split_rfft_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pATable,
|  | q31_t * | pBTable,
|  | q31_t * | pDst,
|  | uint32_t | modifier
| ) |  |

Core Real FFT process.

end of RFFT_RIFFT group

Parameters:

  [in] | *pSrc | points to the input buffer.
  [in] | fftLen | length of FFT.
  [in] | *pATable | points to the twiddle Coef A buffer.
  [in] | *pBTable | points to the twiddle Coef B buffer.
  [out] | *pDst | points to the output buffer.
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

Definition at line 143 of file arm_rfft_q31.c.

void arm_split_rifft_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pATable,
|  | q31_t * | pBTable,
|  | q31_t * | pDst,
|  | uint32_t | modifier
| ) |  |

Core Real IFFT process.

Parameters:

  [in] | *pSrc | points to the input buffer.
  [in] | fftLen | length of FFT.
  [in] | *pATable | points to the twiddle Coef A buffer.
  [in] | *pBTable | points to the twiddle Coef B buffer.
  [out] | *pDst | points to the output buffer.
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

Definition at line 249 of file arm_rfft_q31.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines